RTEMS: bsps/arm/tms570/irq/irq.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Functions | Variables
irq.c File Reference
Board Support Packages » ARM » TMS570

TMS570 interrupt support functions definitions. More...

`#include <bsp.h>`
`#include <bsp/irq-generic.h>`
`#include <bsp/tms570-vim.h>`
`#include <bsp/irq.h>`
`#include <rtems/score/armv4.h>`

## Functions
void | tms570_irq_set_priority (rtems_vector_number vector, unsigned priority)
| Set priority of the interrupt vector.
unsigned | tms570_irq_get_priority (rtems_vector_number vector)
| Gets priority of the interrupt vector.
void | bsp_interrupt_dispatch (void)
| Interrupt dispatch.
void | bsp_interrupt_vector_enable (rtems_vector_number vector)
| enables interrupt vector in the HW
void | bsp_interrupt_vector_disable (rtems_vector_number vector)
| disables interrupt vector in the HW
rtems_status_code | bsp_interrupt_facility_initialize (void)
| Init function of interrupt module.

## Variables
unsigned int | priorityTable [BSP_INTERRUPT_VECTOR_MAX+1]

## Detailed Description

TMS570 interrupt support functions definitions.

## Function Documentation

## ◆ bsp_interrupt_dispatch()

void bsp_interrupt_dispatch | ( | void |  | ) |

Interrupt dispatch.

Called by OS to determine which interrupt occured. Function passes control to interrupt handler.

Returns
  Void

## ◆ tms570_irq_get_priority()

unsigned tms570_irq_get_priority | ( | rtems_vector_number | vector | ) |

Gets priority of the interrupt vector.

This function is here because of compability. It returns priority of the isr vector last set by tms570_irq_set_priority function.

Warning
  It does not return any real priority of the HW layer.

Parameters

  [in] | vector | vector of isr

Return values

  0 | vector is invalid.
  priority | priority of the interrupt

## ◆ tms570_irq_set_priority()

void tms570_irq_set_priority | ( | rtems_vector_number | vector,
|  | unsigned | priority
| ) |  |

Set priority of the interrupt vector.

This function is here because of compability. It should set priority of the interrupt vector.

Warning
  It does not set any priority at HW layer. It is nearly imposible to
  set priority of the interrupt on TMS570 in a nice way.

Parameters

  [in] | vector | vector of isr
  [in] | priority | new priority assigned to the vector

Returns
  Void